Bug 23121 - Installation of Linux failed
Installation of Linux failed
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-01 21:28 EST by mschuler
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-26 13:02:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mschuler 2001-01-01 21:28:05 EST
Below is the dump generated when the installation program failed. Folks, 
this is my first experience with Linux so I know nothing about why this 
occured. (To prove that, I got this copy inside the  "Red Hat Linux 7 for 
Dummies" book - copyright 2001!) Very disappointed. Way too much hype on 
how good this is when the install did not go as the book indicated, and 
then failed after I spent 2 hrs working through how to install it when the 
GUI wouldn't work. This computer is a Pentium 120mhz clone with a SCSI 
hard drive and 64mb of ram. The partition size set up for Linux was about 
1.3 Gig. The rest is taken up by Windows 98SE.

Any help on how to complete a successful installation would be appreciated.

Thanks,

Mike Schuler

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1631, in 
doInstall
    self.fstab.write (self.instPath)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 740, in 
write
    iutil.mkdirChain(prefix + mntpoint)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iutil.py", line 193, in 
mkdirChain
    os.mkdir(path, 0755)
OSError: [Errno 17] File exists: '/mnt/sysimage/dev/sda1'

Local variables in innermost frame:
which: 5
dir: /mnt/sysimage/dev/sda1
elements: ['', 'mnt', 'sysimage', 'dev', 'sda1']
path: /mnt/sysimage/dev/sda1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 Michael Fulbright 2001-01-03 16:31:08 EST
Could you please give step by step instructions on how to reproduce this issue?


Note You need to log in before you can comment on or make changes to this bug.